Bug 113761 - duplicate parameter name not caught ?
duplicate parameter name not caught ?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-17 06:41 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 13:46:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-17 06:41:47 EST
Description of problem:

I just tried to compile package epiphany-1.0.4-2, from Redhat
Fedora Core 1.

The compiler said

mozilla-embed.cpp(187): error: duplicate parameter name

The source code is

  mozilla_embed_destroy_brsr_cb (GtkMozEmbed *embed, MozillaEmbed *embed);

This is clearly broken C++ code, not caught by the compiler.  Suggest
rename the parameters.

  mozilla_embed_destroy_brsr_cb (GtkMozEmbed *embed1, MozillaEmbed
*embed2);


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christopher Blizzard 2004-02-12 13:54:39 EST
The next version of epiphany doesn't suffer from this problem.  The
code has been shuffled a bit.

Note You need to log in before you can comment on or make changes to this bug.